/* -*- c++ -*-
 *
 *  Le Caviste --- a wine cellar managing application
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of the
 *  License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  For more information, visit the Le Caviste Home Page at
 *  http://www.lecaviste.org/
 *
 *  Copyright (c) 2007
 *      Le Caviste Authors <devel@lecaviste.org>
 *
 */
#ifndef APPELLATIONS_DIALOG_HPP
#define APPELLATIONS_DIALOG_HPP

#include <QtGui>
#include <QtSql>

#include "cellar.hpp"

class AppellationsDialog : public QDialog
{
  Q_OBJECT

public:
  AppellationsDialog (Cellar *, QWidget *);

private slots:
  void onActionAdd(void);
  void onActionEdit(void);
  void onActionDelete(void);
  void onCurrentRowChanged(const QModelIndex&);
  void onItemDoubleClicked(const QModelIndex& index);

protected:
  void writeSettings(void);
  void readSettings(void);
  void closeEvent(QCloseEvent *);

  static const int ColumnsCount = 2;


private:
  Cellar *			m_cellar;
  QSqlTableModel * 	m_model;
  QTableView *		m_view;
  QToolBar *		m_toolbar;
  QAction * 		m_actionAdd;
  QAction * 		m_actionEdit;
  QAction * 		m_actionDelete;
  QAction * 		m_actionClose;
};

#endif
