/* -*- c++ -*-
 *
 *  Le Caviste --- a wine cellar managing application
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of the
 *  License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  For more information, visit the Le Caviste Home Page at
 *  http://www.lecaviste.org/
 *
 *  Copyright (c) 2007
 *      Le Caviste Authors <devel@lecaviste.org>
 *
 */
#include "column_combobox.hpp"
#include "cellar.hpp"

ColumnComboBox::ColumnComboBox(int col) : 
  QComboBox(), m_colIndex(col)
{
  addItem(tr("Unused"), -1);
  addItem(Cellar::columnName(Cellar::WineColumn_Name), 
		  Cellar::WineColumn_Name);
  addItem(Cellar::columnName(Cellar::WineColumn_Category), 
		   Cellar::WineColumn_Category);
  addItem(Cellar::columnName(Cellar::WineColumn_Appellation), 
		   Cellar::WineColumn_Appellation);
  addItem(Cellar::columnName(Cellar::WineColumn_Millesime), 
		   Cellar::WineColumn_Millesime);
  addItem(Cellar::columnName(Cellar::WineColumn_Volume), 
		   Cellar::WineColumn_Volume);
  addItem(Cellar::columnName(Cellar::WineColumn_Quantity), 
		   Cellar::WineColumn_Quantity);
  addItem(Cellar::columnName(Cellar::WineColumn_Country), 
		   Cellar::WineColumn_Country);
  addItem(Cellar::columnName(Cellar::WineColumn_Productor), 
		   Cellar::WineColumn_Productor);
  addItem(Cellar::columnName(Cellar::WineColumn_Place), 
		   Cellar::WineColumn_Place);
  addItem(Cellar::columnName(Cellar::WineColumn_BoughtDate),
		  Cellar::WineColumn_BoughtDate);
  addItem(Cellar::columnName(Cellar::WineColumn_BoughtQuantity),
		  Cellar::WineColumn_BoughtQuantity);
  addItem(Cellar::columnName(Cellar::WineColumn_BoughtPrice),
		  Cellar::WineColumn_BoughtPrice);
  addItem(Cellar::columnName(Cellar::WineColumn_BestBefore),
		  Cellar::WineColumn_BestBefore);
  addItem(Cellar::columnName(Cellar::WineColumn_Comment), 
		   Cellar::WineColumn_Comment);
}
