/* -*- c++ -*-
 *
 *  Le Caviste --- a wine cellar managing application
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of the
 *  License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  For more information, visit the Le Caviste Home Page at
 *  http://www.lecaviste.org/
 *
 *  Copyright (c) 2007
 *      Le Caviste Authors <devel@lecaviste.org>
 *
 */
#ifndef PREVIEW_WINDOW_HPP
#define PREVIEW_WINDOW_HPP

#include <QtGui>

//#include "preview_view.hpp"
class PreviewView;

class PreviewWindow : public QMainWindow
{
    Q_OBJECT
public:
  PreviewWindow(QPrinter &, QWidget *);

  PreviewView * view(void) const { return m_view ; }
 
signals:
  void setupRequired(void);
  void printRequired(void);

private slots:
  void pageSetup();

private:
  PreviewView * 	m_view;
};

#endif // PREVIEW_WINDOW_HPP

